<?php

$page_title = 'Beethoven2000 - Kontakt';
$additional_headers = array();

include('includes/header.inc');


// wenn eine passende post-variable gesetzt ist, sende die mail
if (!empty($_POST['message'])) {
	require('includes/contact_mail.inc');
	$mail = new Contact_Mail($_POST['name'], $_POST['address'], $_POST['message']);
}
?>

<div id="content">

<h1>
Kontakt
</h1>

<p>
Diese Seite ist eine Zusammenarbeit von Tilman Walther und Martin Stadler.
</p>

<p>
Mit dem folgenden Kontaktformular könnt ihr uns, oder indirekt dem ganzen Jahrgang was Nettes schreiben:
</p>


<fieldset id="contact">
<legend>Kontaktformular</legend>

<?php
if (isset($mail)) {

	if ($mail->error) {
		echo '<p><span class="server-error-message">Fehler - Mail nicht gesendet.</span> Deine Mail konnte nicht versandt werden. Bitte versuche es später nochmal.</p>' . "\n";
	}
	else if ($mail->spam) {
		echo '<p><span class="server-error-message">SPAM-Verdacht - Mail nicht gesendet.</span> Deine Mail enthält Merkmale von SPAM. Bitte lasse kritische Begriffe weg oder korrigiere deine E-Mail-Adresse.</p>' . "\n";
	}
	else {
		echo '<p><span class="server-message">Mail gesendet.</span> Deine Mail wurde erfolgreich versendet.</p>' . "\n";
	}
}
?>

<?php if (!isset($mail) || $mail->spam || $mail->error): ?>
<form action="" method="post">
<div class="form-input">
	<label for="contact-form-name">Dein Name:</label> <input id="contact-form-name" name="name" />
</div>
<div class="form-input">
	<label for="contact-form-address">Deine eMail-Adresse:</label> <input id="contact-form-address" name="address" />
</div>
<div class="form-input">
	<label for="contact-form-message">Deine Nachricht:</label><br /><textarea id="contact-form-message" name="message" cols="65" rows="12"></textarea>
</div>
<div><input type="submit" value="absenden" /></div>
</form>
<?php endif; ?>

</fieldset>

<h2>
Impressum
</h2>

<h4>Inhaltlich verantwortlich</h4>
<p><img src="bilder/tilman_adresse.gif" alt="Tilman Walthers Adresse" /></p>
<p><img src="bilder/martin_adresse.gif" alt="Martin Stadlers Adresse" /></p>

<h4>Webdesign und Programmierung</h4>
<p><img src="bilder/martin_email.gif" alt="Martin Stadlers E-Mail" /></p>

</div>

<?php
include('includes/footer.inc');
?>